
from mountain import Mountain

swiss_mountains = []

fn = open('mountains.txt', 'r')
input = fn.read().splitlines()
fn.close()

swiss_mountains = [Mountain(m[0], int(m[1]), int(m[2]), tuple(m[3].split(':')),                                             tuple(m[4].split(':'))) for m in [x.split() for x in input] if len(m) > 0]

print('\nNumber of mountains: {}\n'.format(Mountain.num_mountains))

# invokes __call__
print()
swiss_mountains[0]('The most beautiful mountain in the world')


# invokes __str__
for m in swiss_mountains:
    print(m)

# invokes __gt__
print()
print(swiss_mountains[0])
print(swiss_mountains[1])
if swiss_mountains[0] > swiss_mountains[1]:
    print('{} is bigger than {}'.format(swiss_mountains[0].name, swiss_mountains[1].name))
else:
    print('{} is bigger than {}'.format(swiss_mountains[1].name, swiss_mountains[0].name))
    
# invokes __iadd__
print()
print(swiss_mountains[4])
swiss_mountains[4] += 3
print(swiss_mountains[4])

# invokes __bool__
if swiss_mountains[6]:
    print('{} is a mountain'.format(swiss_mountains[6].name))
else:
    print('{} is only a hill'.format(swiss_mountains[6].name))
    
# invokes __repr__
print('\nUse of __repr__')
matterhorn = eval(repr(swiss_mountains[0]))
print(matterhorn)

# invokes climb
print()
swiss_mountains[2].climb()
print(swiss_mountains[2])

# invokes is_climbed
print()
if swiss_mountains[2].is_climbed():
    print('You have climbed {}'.format(swiss_mountains[2].name))
else:
    print('You have not climbed {}'.format(swiss_mountains[2].name))
print()
